<?php
/**
* @file
* @brief    Marquee Led module
* @author   Ruslan Tyan
* @version  3.10
* @remarks  Copyright (C) 2010-2022 Ruslan Tyan
* @remarks  Licensed under GNU/GPLv3, see https://www.gnu.org/licenses/gpl-3.0.html
* @see      https://tjan.ru/projects/qrcode
*/

class ModMarqueeledHelper {
	public static function getHello($params) {
		$marqueemodurl = JURI::root().'modules/mod_marquee_led';
		$mltext = $params->get('marqueeltext');
		$mlcsson = $params->get('marqueelcsson');
		if ($mlcsson == 1) {
			$cssclass = 'marquee-led';
			$mlfontfamilyon = $params->get('marqueelfontfamilyon');
			$mlmargin = $params->get('marqueelmargin');
			$mlfs = $params->get('marqueelfs');
			$mlh = $params->get('marqueelh');
			$mllh = $params->get('marqueellh');
			$mlcolor = $params->get('marqueelcolor');
			$mlbcoloron = $params->get('marqueelbcoloron');
			if ($mlbcoloron == 0) {$mlbcolor = $params->get('marqueelbcolor');}
			else {$mlbcolor = 'inherit';}
			$mlbion = $params->get('marqueelbion');
			$mlbicolor = $params->get('marqueelbicolor');
			$mlbic = substr($mlbicolor, -6);
			$mlboron = $params->get('marqueelboron');
			$mlborcolor = $params->get('marqueelborcolor');
			$mlbw = $params->get('marqueelbw');
			$mlbs = $params->get('marqueelbs');
			$mlbr = $params->get('marqueelbr');
?>
<style type="text/css">
<?php if ($mlfontfamilyon == 1) { ?>
	@font-face {
		font-family: DigitalLedEnRu;
		src: url('<?=$marqueemodurl?>/fonts/DigitalLedEnRu.woff') format('woff'),
		url('<?=$marqueemodurl?>/fonts/DigitalLedEnRu.ttf') format('truetype');
	}
<?php $fontfamily = 'DigitalLedEnRu'; } else { $fontfamily = 'inherit'; } ?>
	.marquee-led {
		margin: <?=$mlmargin?>;
		font-family: <?=$fontfamily?>;
		font-size: <?=$mlfs?>;
		height: <?=$mlh?>;
<?php if ($mlbion == 1) { ?>
		background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='21.881' height='40' viewBox='0 0 21.881 40'%3E %3Cpath d='M2.3,7.915,5.644,9.157v7.928L3.115,19.572,2.3,18.757ZM5.644,30.843,2.3,32.085V21.243l.814-.815,2.529,2.486Zm9.986.814L16.872,35H4.4a2.73,2.73,0,0,1-2.1-2.1l3.343-1.243ZM16.872,5,15.63,8.343H5.687L2.344,7.1A2.73,2.73,0,0,1,4.444,5ZM5.644,18.329H16.487L18.115,20l-1.628,1.671H5.644L3.972,20Zm13.328,1.243-2.485-2.487V8.343L17.73,5a2.641,2.641,0,0,1,2.057,2.1V18.757Zm-2.485,3.342,2.485-2.486.815.815V32.9A2.641,2.641,0,0,1,17.73,35l-1.243-3.343Z' fill='%23<?=$mlbic?>'/%3E %3C/svg%3E");
<?php  } else { ?>
		background-image: none;
<?php } ?>
		background-color: <?=$mlbcolor?>;
		color: <?=$mlcolor?>;
		overflow: hidden;
		line-height: <?=$mllh?>;
<?php if ($mlboron == 1) { ?>
		border-width: <?=$mlbw?>;
		border-style: <?=$mlbs?>;
		border-color: <?=$mlborcolor?>;
		border-radius: <?=$mlbr?>;
<?php } ?>
	}
</style>
<?php } else {
	$cssclass = $params->get('marqueecssclass');
} ?>
<marquee class="<?=$cssclass?>" onmouseover="this.stop()" onmouseout="this.start()"><?=$mltext?></marquee>
<?php }} ?>